PATCH https://graph.microsoft.com/v1.0/external/connections/contosohr
Content-type: application/json
{
"name": "Contoso HR Service Tickets",
"description": "Connection to index HR service tickets"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var externalConnection = new Microsoft.Graph.ExternalConnectors.ExternalConnection
{
Name = "Contoso HR Service Tickets",
Description = "Connection to index HR service tickets"
};
await graphClient.External.Connections["{externalConnectors.externalConnection-id}"]
.Request()
.UpdateAsync(externalConnection);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewExternalConnection()
name := "Contoso HR Service Tickets"
requestBody.SetName(&name)
description := "Connection to index HR service tickets"
requestBody.SetDescription(&description)
externalConnectionId := "externalConnection-id"
graphClient.External().ConnectionsById(&externalConnectionId).Patch(requestBody)
Import-Module Microsoft.Graph.Search
$params = @{
Name = "Contoso HR Service Tickets"
Description = "Connection to index HR service tickets"
}
Update-MgExternalConnection -ExternalConnectionId $externalConnectionId -BodyParameter $params